Returns a list of application languages that the YouTube website supports.

**Quota impact:** A call to this method has a [quota cost](https://developers.google.com/youtube/data/getting-started.md.txt#quota) of 1 unit.

## Common use cases

<iframe src="https://developers.devsite.google/frame/youtube/data/reference/rest/v3/i18nLanguages/list_af3710c62e00659249ecc7febc157ae00ed3592097587bf58256e0d011c446cb.frame" class="framebox inherit-locale " allow="clipboard-write https://developers.devsite.google" allowfullscreen is-upgraded></iframe>

## Request

### HTTP request

```
GET https://www.googleapis.com/youtube/v3/i18nLanguages
```

### Parameters

The following table lists the parameters that this query supports. All of the parameters listed are query parameters.

| Parameters ||
|---|---|---|
| **Required parameters** |||
| `part` | `string` The `part` parameter specifies the `i18nLanguage` resource properties that the API response will include. Set the parameter value to `snippet`. |
| **Optional parameters** |||
| `hl` | `string` The `hl` parameter specifies the language that should be used for text values in the API response. The default value is `en_US`. |

### Request body

Do not provide a request body when calling this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "youtube#i18nLanguageListResponse",
  "etag": etag,
  "items": [
    i18nLanguage resource
  ]
}
```

### Properties

The following table defines the properties that appear in this resource:

| Properties ||
|---|---|
| `kind` | `string` Identifies the API resource's type. The value will be `youtube#i18nLanguageListResponse`. |
| `etag` | `etag` The Etag of this resource. |
| `items[]` | `list` A list of supported i18n languages. In this map, the i18n language ID is the map key, and its value is the corresponding `i18nLanguage` resource. |

## Errors

The API does not define any error messages that are unique to this API method. However, this method could still return general API errors listed in the [error message](https://developers.google.com/youtube/data/reference/rest/v3/errors.md.txt#general) documentation.

## Try it!

Use the APIs Explorer to call this API and see the API request and response.